Subject: Re: Proposed update to RFC 2460 [was Re: Flow Label]

From: Brian E Carpenter <[email-masked]>
Date: Wed, 02 Jan 2002 13:35:20 +0100

If you analyse the text closely, "uniquely" is a noise word anyway-
a label is unique within the scope of the things it labels in any case.
We can certainly take it out.

   Brian
 
Scott Bradner wrote:
> 
> agree
> 
> ---
> >From [email-masked]  Thu Dec 27 11:11:09 2001
> X-Authentication-Warning: sunroof.eng.sun.com: majordomo set sender to [email-masked] using -f
> X-Sender: [email-masked]
> X-Mailer: QUALCOMM Windows Eudora Pro Version 4.2.2
> Date: Thu, 27 Dec 2001 11:08:43 -0500
> To: Brian E Carpenter <[email-masked]>
> From: Margaret Wasserman <[email-masked]>
> Subject: Re: Proposed update to RFC 2460 [was Re: Flow Label]
> Cc: [email-masked]
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
>  <[email-masked]>
>  <[email-masked]>
> Mime-Version: 1.0
> Content-Type: text/plain; charset="us-ascii"
> Sender: [email-masked]
> Precedence: bulk
> 
> Actually, I would take out the word "uniquely".  I am
> not sure that we want to confine possible QoS solutions
> to "uniquely" labeling anything.
> 
> Margaret
> 
> At 10:43 AM 12/27/01 , Brian E Carpenter wrote:
> >Taking Scott's suggestion, here's another try:
> >
> >I'd like to propose the following as the
> >complete and total replacement of Section 6 of RFC 2460.
> >
> >    The 20-bit Flow Label field in the IPv6 header MAY be set by a
> >    source to uniquely label sets of packets. Nodes that do not support
> >    the Flow Label field MUST set the field to zero when originating a
> >    packet, and MUST ignore the field when receiving a packet. All routers
> >    MUST pass the field on unchanged when forwarding a packet.
> >
> >    This specification does not further define the meaning of the
> >    Flow Label.
> >
> >  [and delete Appendix A, which is unhelpful.]
> >
> >        Brian

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------